

<script type = "text/javascript" >
    require(["jquery"], function($) {

        $(document).ready(function() {
            var $win = $(window);

            var elementTop, elementBottom, viewportTop, viewportBottom;

            function isScrolledIntoView(elem) {
                elementTop = $(elem).offset().top;
                elementBottom = elementTop + $(elem).outerHeight();
                viewportTop = $win.scrollTop();
                viewportBottom = viewportTop + $win.height();
                return (elementBottom > viewportTop && elementTop < viewportBottom);
            }

            if ($('video').length) {

                var loadVideo;

                $('video').each(function() {
                    $(this).attr('webkit-playsinline', '');
                    $(this).attr('playsinline', '');
                    $(this).attr('muted', 'muted');

                    $(this).attr('id', 'loadvideo');
                    loadVideo = document.getElementById('loadvideo');
                    loadVideo.load();
                });

                $win.scroll(function() { // video to play when is on viewport 

                    $('video').each(function() {
                        if (isScrolledIntoView(this) == true) {
                            $(this)[0].play();
                        } else {
                            $(this)[0].pause();
                        }
                    });

                }); // video to play when is on viewport

            } // end .field--name-field-video
			
			function isVisible($el) {
                if($el.length){
                    var winTop = $(window).scrollTop();
                    var winBottom = winTop + $(window).height();
                    var elTop = $el.offset().top;
                    var elBottom = elTop + $el.height();
                    return elBottom <= winBottom && elTop >= winTop;
                }
                return false;
            }


		$(window).scroll(function () {
                if (isVisible($("#anim-text1"))) {
                    document.getElementById("anim-text1").classList.add("animate");
                    document.getElementById("anim-text1").classList.add("fadeInUp");
                    document.getElementById("anim-text1").classList.add("one");
                }
                if (isVisible($("#anim-text2"))) {
                    document.getElementById("anim-text2").classList.add("animate");
                    document.getElementById("anim-text2").classList.add("fadeInLeft");
                    document.getElementById("anim-text2").classList.add("one");
                }
                if (isVisible($("#anim-text3"))) {
                    document.getElementById("anim-text3").classList.add("animate");
                    document.getElementById("anim-text3").classList.add("fadeInDown");
                    document.getElementById("anim-text3").classList.add("one");
                }
                if (isVisible($("#anim-text4"))) {
                    document.getElementById("anim-text4").classList.add("animate");
                    document.getElementById("anim-text4").classList.add("fadeInUp");
                    document.getElementById("anim-text4").classList.add("one");
                }
				if (isVisible($("#anim-text5"))) {
                    document.getElementById("anim-text4").classList.add("animate");
                    document.getElementById("anim-text4").classList.add("fadeInDown");
                    document.getElementById("anim-text4").classList.add("one");
                }
                });


        });

        $(document).ready(function() {

            $(".mt_learn a[href^='#']").on('click', function(e) {
                e.preventDefault();
                var hash = this.hash;
                $('html, body').animate({
                    scrollTop: ($(hash).offset().top - 60)
                }, 500, function() {
                    window.location.hash = hash;
                });
            });
			
			$(".mt_learn_more_anchor a[href^='#']").on('click', function(e) {				
                e.preventDefault();
                var hash = this.hash;
                $('html, body').animate({
                    scrollTop: ($(hash).offset().top + 120)
                }, 500, function() {
                    window.location.hash = hash;
                });
            });
			
			$("#anim-text3 a[href^='#']").on('click', function(e) {				
                e.preventDefault();
                var hash = this.hash;
                $('html, body').animate({
                    scrollTop: ($(hash).offset().top + 120)
                }, 500, function() {
                    window.location.hash = hash;
                });
            });
			
			
        });

        

    });


</script>

<script type = "text/javascript" >
    require(['jquery', 'mgs/owlcarousel'], function($) {
        $(document).ready(function() {

            $('.mt_featured_products').owlCarousel({
                items: 1,
                nav: false,
                dots: true,
                rtl: RTL,
                touchDrag: false,
                mouseDrag: false,
                loop: false,
                autoHeight: false,
                animateOut: "slideOutDown",
                animateIn: "slideInDown",
            });


            $('.mt_single_products').owlCarousel({
                items: 1,
                nav: false,
                dots: true,
                rtl: RTL,
                margin: 30,
                touchDrag: false,
                mouseDrag: false,
                loop: false,
                autoHeight: false,
            });
			$(".slide_2in1 .owl-dots div:first-child").click(function(){
			  $(".sku-MSCDD").show();
			  $(".sku-MSCDDWH").hide();
			});
			$(".slide_2in1 .owl-dots div:nth-child(2)").click(function(){
			  $(".sku-MSCDDWH").show();
			  $(".sku-MSCDD").hide();san
			});
			$(".slide_3in1 .owl-dots div:first-child").click(function(){
			  $(".sku-MSCDDAWC").show();
			  $(".sku-MSCDDAWCWH").hide();
			});
			$(".slide_3in1 .owl-dots div:nth-child(2)").click(function(){
			  $(".sku-MSCDDAWCWH").show();
			  $(".sku-MSCDDAWC").hide();
			});
			$(".slide_power .owl-dots div:first-child").click(function(){
			  $(".sku-MSPB5K").show();
			  $(".sku-MSPB5KWH").hide();
			});
			$(".slide_power .owl-dots div:nth-child(2)").click(function(){
			  $(".sku-MSPB5KWH").show();
			  $(".sku-MSPB5K").hide();
			});	

        });
    }); </script>